// packageH/newRetail/components/goodlist/goodlist.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    mode:{
      value:1,
      type:[String, Number]
    },
    goodsList:{
      value:{},
      type:Object
    }
  },

  /**
   * 组件的初始数据
   */
  data: {

  },

  /**
   * 组件的方法列表
   */
  methods: {
    gotoGoodDetail(e){
      wx.navigateTo({
        url: "/packageA/detail_v2/detail_v2?id=" + e.currentTarget.dataset.id + "&name=retailGood&md=" + this.data.mode,
      });
        
    }
  }
});
